Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] glsa-check complaining about PHP
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
manwe_
l33t
l33t


Joined: 01 Feb 2006
Posts: 623
Location: Kraków/Cracow, Poland

PostPosted: Fri Aug 21, 2015 1:41 pm    Post subject: [SOLVED] glsa-check complaining about PHP Reply with quote

Hi *.

Code:
 # glsa-check -t all
This system is affected by the following GLSAs:
201408-11
201411-04
201503-03


Those 3 GLSAs are about PHP. Yes, I had 5.3 version in system, even after it was removed from portage. But now it's gone. All I have is 5.4.44, 5.5.28 and 5.6.12. But glsa-check still complains. Any idea why?


Last edited by manwe_ on Mon Aug 24, 2015 11:27 pm; edited 1 time in total
Back to top
View user's profile Send private message
skiwarz
Tux's lil' helper
Tux's lil' helper


Joined: 23 Feb 2014
Posts: 132

PostPosted: Fri Aug 21, 2015 9:45 pm    Post subject: Reply with quote

My guess is that since those 3 GLSAs say "Affected Versions: <5.5.x", and you still have 5.4.44, it's flagging it, even if you have the "Not Affected" revision. Two things you could try:
1. Read through the glsa-check script and see how it determines affected versions. ( I would but I'm away from my gentoo box right now).
2. Unmerge 5.4.44, run glsa-check, and see what happens. Then re-install after.
Back to top
View user's profile Send private message
manwe_
l33t
l33t


Joined: 01 Feb 2006
Posts: 623
Location: Kraków/Cracow, Poland

PostPosted: Mon Aug 24, 2015 11:27 pm    Post subject: Reply with quote

PHP 5.4.44 is newer than affected 5.5.15 (https://security.gentoo.org/glsa/201408-11). Never mind though. One more emerge sync and -uDN world and somehow glsa-check doesn't complain anymore now. Strange but what you can do ;)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum